/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package accounting;

import java.io.PrintWriter;
import java.io.Serializable;
import java.util.Iterator;
import java.util.LinkedList;

/**
 *
 * @author Administrator
 */
class Customer implements Serializable {
	protected String customerNo;
	protected String customerName;
	protected String customerPhone;
	protected java.util.LinkedList invoices;

	public Customer(String customerNo) {
            this.customerNo = customerNo;
            invoices = new LinkedList();
        }
        
	public Customer(String customerNo, String customerName) {
            this.customerNo = customerNo;
            this.customerName = customerName;
            invoices = new LinkedList();
        }
        
	public Customer(String customerNo, String customerName, String customerPhone) {
            this.customerNo = customerNo;
            this.customerName = customerName;
            this.customerPhone = customerPhone;
            invoices = new LinkedList();
        }
        
	public void addInvoice(Invoice invoice) {
            invoices.add(invoice);
        }
        
	public void printInvoices(PrintWriter out) {
            Iterator i = invoices.iterator();
            while (i.hasNext()) {
                Invoice x = (Invoice) i.next();
                out.print("  " + x.invoiceNo + " " + x.total + " " + x.date + " " +
                        x.isPaid + "\n");
            }
        }
        
	public double getBalance() {
            double balance = 0;
            Iterator i = invoices.iterator();
            while (i.hasNext()) {
                Invoice x = (Invoice) i.next();
                if (x.isPaid == false) {
                    balance = balance + x.total;
                }
            }
            return balance;
        }

}

