/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package accounting;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.Serializable;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Administrator
 */
class CustomerSet implements Serializable {
	protected java.util.LinkedList customers;

	public CustomerSet() {
            customers = new LinkedList();
        }
        
	public void addCustomer(Customer c) {
            customers.add(c);
        }
        
	public void printCustomers(String filename) {
            PrintWriter out = null;
            Iterator i = customers.iterator();
        try {
            out = new PrintWriter(new File(filename));
        } catch (FileNotFoundException ex) {
            Logger.getLogger(CustomerSet.class.getName()).log(Level.SEVERE, null, ex);
        }
            while (i.hasNext()) {
                Customer x = (Customer) i.next();
                out.print(x.customerNo + " " + x.customerName + " " + x.customerPhone + "\n");
                x.printInvoices(out);
            }
            out.close();
        }
        
        /* ASSIGNMENT 4 PART 3
         * 
         * */
        public void importInvoices(String filename) {
            Scanner in = null;
            try {
                in = new Scanner(new FileReader(filename));
                while (in.hasNext()) {
                    int invoiceNo = in.nextInt();
                    String custNo = String.valueOf(in.nextInt());
                    double total = in.nextDouble();
                    String date = in.next();
                    
                    Invoice inv = new Invoice(invoiceNo, custNo, total);
                    inv.isPaid = in.nextBoolean();
                    
                    Iterator i = this.customers.iterator();
                    while (i.hasNext()) {
                        Customer c = (Customer) i.next();
                        if (c.customerNo.equals(custNo)) {
                            c.addInvoice(inv);
                            break;
                        }
                    }
                }
            }
            catch (IOException e) {
                System.out.println(e.getMessage());
            }
        }
}

